package io.zipcoder.interfaces;

import java.util.ArrayList;

public final class Instructors extends People<Instructor>{

    private static final Instructors instance;
    private ArrayList<Instructor> instructorsList;

    static {
        instance = new Instructors();
    }

    private Instructors(){
        instructorsList = new ArrayList<Instructor>();
        instructorsList.add(new Instructor(1, "Kris"));
        instructorsList.add(new Instructor(2, "Froilan"));
        instructorsList.add(new Instructor(3, "Leon"));
        instructorsList.add(new Instructor(4, "Dolio"));
        instructorsList.add(new Instructor(5, "Willhem"));
        instructorsList.add(new Instructor(6, "Dominique"));
        instructorsList.add(new Instructor(7, "Nhyu"));
    }

    public static Instructors getInstance(){
        return instance;
    }

    public Instructor[] getArray(){
        Instructor[]  instructors = new Instructor[instructorsList.size()];
        for(int i = 0; i< instructorsList.size();i++)
            instructors[i] = instructorsList.get(i);

        return instructors;
    }

}
