package io.zipcoder.interfaces;

import java.util.ArrayList;

public abstract class People <E extends Person>{

    ArrayList<E> personList;

    public People() {
        personList = new ArrayList<E>();
    }


    public void add(E person) {
        personList.add(person);
    }

    public ArrayList<E> getPersonList() {
        return this.personList;
    }

    public void remove(Person person) {
        for(E p : personList){
            if(!p.equals(person))
            {
            }
        }
        personList.remove(person);
    }

    public void removeById(long id){

        E person = null;
        for(E p : personList){
            person = p;
            if(p.getId() != id)
            {

            }
        }
        personList.remove(person);
    }

    public Person findById(int id) {

        for(Person p : personList){

            if(p.getId() == id)
            {
                return p;
            }
        }
        return null;
    }


    public abstract E[] getArray(); /*{
        Person[] people = new Person[20];
        for(int i =0;i<personList.size();i++){
            people[i]= personList.get(i);
        }
        return people;
    }*/

    public void removeAll() {
        this.personList = new ArrayList<E>();
    }

    public static class subClass extends People{


        public Person[] getArray() {
            Person[] people = new Person[20];
            for(int i =0;i<personList.size();i++){
                people[i]= (Person)personList.get(i);
            }
            return people;

        }
    }

}
