package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestEducator {

    @Test
    public void testImplementation(){
        Educator educator = Educator.DOLIO;

        Assert.assertTrue(educator instanceof Teacher);
    }
    @Test
    public void testTeach(){
        Educator educator = Educator.DOLIO;
        Student student = new Student();
        int expected = 5;
        educator.teach(student, 5);
        int actual = student.getTotalStudyTime();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testLecture(){
        Educator educator = Educator.FROILAN;
        int expected = 2;
        Student student1 = new Student();
        Student student2 = new Student();
        Student student3 = new Student();

        Learner[] learners = new Student[]{student1,student2,student3};

        educator.lecture(learners, 6);
        int actual = student1.getTotalStudyTime();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void setGetTimeWorkedout(){
        Educator educator = Educator.KRIS;
        educator.setTimeWorked(20.0);
        Assert.assertEquals(20.0, educator.getTimeWorked(),0.5);
    }
}
