package io.zipcoder.interfaces;

public class Instructor extends Person implements Teacher {

    private long id;

    public Instructor() {

    }

    public Instructor(long id, String name) {
        super(id, name);
//        this.id = id;
//        this.name = name;
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    public void lecture(Learner[] learners, double numberOfHours) {
        double numberOfHoursPerLearner = numberOfHours/learners.length;
        for(Learner learner : learners)
            learner.learn(numberOfHoursPerLearner);
    }
}
