package io.zipcoder.interfaces;

public class Student extends Person implements Learner {

    private int totalStudyTime;
    private long id;
    private String name;

    public Student() {
        totalStudyTime = 0;
    }

    public Student(long id, String name) {
        this.id = id;
        this.name = name;
        totalStudyTime = 0;
    }

    public void learn(double numberOfHours) {
        this.totalStudyTime += numberOfHours;
    }


    public int totalStudyTime(int hours) {
        return this.totalStudyTime + hours;
    }

    public void setTotalStudyTime(int totalStudyTime) {
        this.totalStudyTime = totalStudyTime;
    }

    public int getTotalStudyTime() {
        return this.totalStudyTime;
    }
}
