package io.zipcoder.interfaces;

public final class ZipCodeWilmington {
    
    private static final ZipCodeWilmington instance;
    private static final Students students;
    private static final Instructors instructors;
    
    static{
        instance = new ZipCodeWilmington();
        students = Students.getInstance();
        instructors = Instructors.getInstance();
        }
        
        private ZipCodeWilmington(){
        
        }
    
    public static ZipCodeWilmington getInstance() {
        return instance;
    }

    public void hostLecture(Teacher teacher, int numberOfHours) {
        Student[] studentsArr = students.getArray();

        teacher.lecture(studentsArr, numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours){

        Instructor[] instructorArr = instructors.getArray();

        for(Instructor instructor : instructorArr){
            System.out.println(instructor.getId());
            System.out.println(instructor.getName());
            if(instructor.getId() == id)
            {
                instructor.lecture(students.getArray(), numberOfHours);
            }
        }

    }
}
