package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentsTest {
    @Test
    public void testSingletonInstance(){
        Students students1 = Students.getInstance();
        Students students2 = Students.getInstance();
        Assert.assertSame(students1, students2);
    }

    @Test
    public void testInitializationSetupStudents(){
        Students students = Students.getInstance();
        Student[] studentsArr = students.getArray();

        Assert.assertTrue(studentsArr.length == 39);
    }
}
