package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestStudent {
    Student student;
    @Before
    public void setup(){
        student = new Student();
    }

    @Test
    public void testLearnerImpl(){
        Learner student1 = new Student();
        Assert.assertTrue(student1 instanceof Learner);
    }

    @Test
    public void testInheritance(){
        Person student2 = new Student();
        Assert.assertTrue(student2 instanceof Person);
    }

    @Test
    public void testLearn(){
        int actual = student.totalStudyTime(5);
        int expected = 5;
        Assert.assertEquals(expected, actual);
    }
}
